CREATE TABLE `tmp_buchvorgang-artikel` AS SELECT * FROM  `buchvorgang-artikel`;

UPDATE `buchvorgang-artikel` va, grartikel a,  `grartikel-kategorien` k
SET va.MwstSatz = 20, va.MWST= round(va.Preis_Brutto/6,4),  va.Preis_Netto = round(va.Preis_Brutto/1.2,4)
WHERE va.ArtNr = a.ArtNr AND a.ArtKatNr = k.ArtKatNr
AND k.Name IN ('Getränke', 'Saft', 'Bier')
AND va.ErstelltAm > '2022-01-01';



UPDATE `buchvorgang-artikel` va, grartikel a,  `grartikel-kategorien` k
SET va.MwstSatz = 20, va.MWST= round(va.Preis_Brutto/6,4),  va.Preis_Netto = round(va.Preis_Brutto/1.2,4)
WHERE va.ArtNr = a.ArtNr AND a.ArtKatNr = k.ArtKatNr
AND k.Name like '%Getränke%'
AND va.ErstelltAm > '2023-01-01';


UPDATE `buchvorgang-artikel` va, grartikel a,  `grartikel-kategorien` k
SET va.MwstSatz = 10, va.MWST= round(va.Preis_Brutto/11,4),  va.Preis_Netto = round(va.Preis_Brutto/1.1,4)
WHERE va.ArtNr = a.ArtNr AND a.ArtKatNr = k.ArtKatNr
AND not k.Name like '%Getränke%'
AND va.ErstelltAm > '2023-01-01';



SELECT  va.MwstSatz , va.Preis_Brutto/6,    va.Preis_Brutto/1.2
FROM 
  `buchvorgang-artikel` va, grartikel a,  `grartikel-kategorien` k
WHERE va.ArtNr = a.ArtNr AND a.ArtKatNr = k.ArtKatNr
-- AND k.Name IN ('Getränke', 'Saft', 'Bier')
AND va.ErstelltAm > '2022-01-01';